# reHDD

## Useful for:
* checking new drives for the first time
* checking used drives for their next live
* deleting a drive securely via overwriting

## Screenshot 
![alt text](https://git.mosad.xyz/localhorst/reHDD/raw/commit/95828afcc2e417b9cb64a4add98ae9c3c7628e84/doc/screenshot.png "Screenshot")

## Debian Build Notes

* apt-get install ncurses-dev git make g++ 
* clone repo in /root/
* make release

## Create Standalone with Debian 11

Instructions how to create a standalone machine that boots directly to reHDD. This is aimed for production use, like several drives a day shredding.

### Software requirements

* apt-get install hwinfo smartmontools curl

### Start reHDD after boot without login (as a tty shell)

mkdir /lib/systemd/system/getty@tty1.service.d/

nano /lib/systemd/system/getty@tty1.service.d/override.conf

```
[Service]
WorkingDirectory=/root/reHDD
ExecStart=
ExecStart=-/root/reHDD/reHDD
StandardInput=tty
StandardOutput=tty
Restart=always
RestartSec=1
UtmpIdentifier=tty1
TTYPath=/dev/tty1
TTYReset=yes
TTYVHangup=yes
TTYVTDisallocate=yes
SendSIGHUP=yes

```

systemctl daemon-reload

nano /etc/systemd/system/reHDDSettings.service 
```
[Service]
Type=oneshot
RemainAfterExit=yes
ExecStart=/usr/bin/bash /root/reHDDSettings.sh

[Install]
WantedBy=multi-user.target
```

nano /root/reHDDSettings.sh
```
#!/bin/bash
dmesg -n 1 #disable overlay if a drive is attached/detached
# remove comment for the following to activate log telemetie
# curl -k -T /root/reHDD/reHDD.log -u "fgggfffgfgfgfg:" -H 'X-Requested-With: XMLHttpRequest' https://schuttercloud.com/public.php/webdav/`echo $(date '+%Y-%m-%d_%H-%M')`_reHDD.log
rm -f /root/reHDD/reHDD.log
```
chmod +x reHDDSettings.sh


Make sure the binary reHDD is in /root/reHDD/

Add your system drive in /root/reHDD/ignoreDrives.conf like:
```e102f49d```
Get the first 8 Bytes from your UUID via blkid /dev/sdX

systemctl enable reHDDSettings.service

